<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/data_set_display/init.jsp" %>

<link href="<%= PortalUtil.getStaticResourceURL(request, PortalUtil.getPathModule() + "/frontend-taglib-clay/data_set_display/styles/main.css") %>" rel="stylesheet" />

<div class="table-root" id="<%= containerId %>">
	<span aria-hidden="true" class="loading-animation my-7"></span>
</div>

<aui:script require='<%= module + " as dataSetDisplay" %>'>
	var container = document.getElementById('<%= containerId %>');

	dataSetDisplay.default(
		{
			actionParameterName:
				'<%= HtmlUtil.escapeJS(GetterUtil.getString(actionParameterName)) %>',
			activeViewSettings: <%= activeViewSettingsJSON %>,
			apiURL: '<%= HtmlUtil.escapeJS(apiURL) %>',
			appURL: '<%= HtmlUtil.escapeJS(appURL) %>',
			bulkActions: <%= jsonSerializer.serializeDeep(bulkActionDropdownItems) %>,
			componentId: '<%= HtmlUtil.escapeJS(containerId) %>',
			creationMenu: <%= jsonSerializer.serializeDeep(creationMenu) %>,
			currentURL: '<%= PortalUtil.getCurrentURL(request) %>',
			dataProviderKey: '<%= dataProviderKey %>',
			formId: '<%= HtmlUtil.escapeJS(GetterUtil.getString(formId)) %>',
			id: '<%= id %>',
			nestedItemsKey:
				'<%= HtmlUtil.escapeJS(GetterUtil.getString(nestedItemsKey)) %>',
			nestedItemsReferenceKey:
				'<%= HtmlUtil.escapeJS(GetterUtil.getString(nestedItemsReferenceKey)) %>',
			pagination: {
				deltas: <%= jsonSerializer.serializeDeep(clayPaginationEntries) %>,
				initialDelta: <%= itemsPerPage %>,
				initialPageNumber: <%= pageNumber %>,
			},
			showManagementBar: <%= showManagementBar %>,
			showPagination: <%= showPagination %>,
			showSearch: <%= showSearch %>,
			namespace: '<%= namespace %>',
			portletId: '<%= portletDisplay.getRootPortletId() %>',
			portletURL: '<%= HtmlUtil.escapeJS(portletURL.toString()) %>',
			selectedItems: <%= jsonSerializer.serializeDeep(selectedItems) %>,
			selectedItemsKey: '<%= GetterUtil.getString(selectedItemsKey) %>',
			selectionType: '<%= GetterUtil.getString(selectionType) %>',
			sorting: <%= jsonSerializer.serializeDeep(sortItemList) %>,
			style: '<%= style %>',
			views: <%= jsonSerializer.serializeDeep(clayDataSetDisplayViewsContext) %>,
		},
		container
	);
</aui:script>